package witzelbritz;

public enum DayOfWeek {
	mo, di, mi,dn,fr,sb,so;
	
	boolean isWeekend() {
		return this==sb || this==so;		
	}
	String ganzerName() {
		return switch (this) {
		case mo -> "Montag";
		case di -> "Dienstag";
		case mi -> "Mittwoch";
		case dn -> "Donnerstag";
		case fr -> "Freitag";
		case sb -> "Sonnabend";
		case so -> "Sonntag";
		};
	}
	public static void main(String[] args) {
		System.out.println(mo.isWeekend());
		System.out.println(so.isWeekend());
	}
}
